GDBserver

Public Attributes | List of all members
fast_tpoint_collect_status Struct Reference

`#include "tracepoint.h"`

## Public Attributes
int | tpoint_num
CORE_ADDR | tpoint_addr
CORE_ADDR | adjusted_insn_addr
CORE_ADDR | adjusted_insn_addr_end

## Detailed Description

Definition at line 105 of file tracepoint.h.

## Member Data Documentation

## ◆ adjusted_insn_addr

CORE_ADDR fast_tpoint_collect_status::adjusted_insn_addr

Definition at line 114 of file tracepoint.h.

Referenced by fast_tracepoint_collecting(), and maybe_move_out_of_jump_pad().

## ◆ adjusted_insn_addr_end

CORE_ADDR fast_tpoint_collect_status::adjusted_insn_addr_end

Definition at line 115 of file tracepoint.h.

Referenced by fast_tracepoint_collecting(), and maybe_move_out_of_jump_pad().

## ◆ tpoint_addr

CORE_ADDR fast_tpoint_collect_status::tpoint_addr

Definition at line 109 of file tracepoint.h.

Referenced by fast_tracepoint_collecting(), and maybe_move_out_of_jump_pad().

## ◆ tpoint_num

int fast_tpoint_collect_status::tpoint_num

Definition at line 108 of file tracepoint.h.

Referenced by fast_tracepoint_collecting().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/tracepoint.h